<?php
require_once ('_incfiles/config.php');

$fun->__header('Новости');

define('PATH', ROOT.'/news.php');

if (isset($active) && $user['admin']) {
	if (isset($_GET['add'])) {
	
		$error = '';
	
		if (isset($_POST['text'])) {
		
			if (empty($_POST['text'])) {
				$error .= 'Новость не должна быть пустой!<br/>';
			} elseif (iconv_strlen($_POST['text'], 'utf-8') < 5) {
				$error .= 'Новость не должна быть такой короткой!<br/>';
			}
			
			if ($error) {
				echo '<div class="error">'.$error.'</div>';
			} else {
				if ($db->query("insert into `".prefix."news` set `date`='".time()."', `text`='".$fun->escape($_POST['text'])."'")) {
					header('Location: '.PATH);
				} else {
					echo '<div class="error">Ошибка при добавлении новости!<br/>'.$db->SQLerror().'</div>';
				}
			}
		
		}
		
		echo '<div class="menu">
		<form action="" method="post">
		Новость:<br/><textarea name="text" rows="3" cols="25"></textarea><br/>
		<input type="submit" value="Добавить"/> <a href="'.PATH.'"><input type="button" value="Отменить"/></a>
		</form></div>';
	
	} else {
		echo '<div class="menu"><a href="'.PATH.'?add"><b>Добавить новость</b></a></div>';
	}
	
	if (isset($_GET['edit'])) {
	
		$sql = $db->query("select * from `".prefix."news` where `id`='".abs(intval($_GET['edit']))."' limit 1");
		
		if (mysql_num_rows($sql)) {
		
			$row = $db->assoc($sql);
			
			$error = '';
	
			if (isset($_POST['text'])) {
			
				if (empty($_POST['text'])) {
					$error .= 'Новость не должна быть пустой!<br/>';
				} elseif (iconv_strlen($_POST['text']) < 5) {
					$error .= 'Новость не должна быть такой короткой!<br/>';
				}
				
				if ($error) {
					echo '<div class="error">'.$error.'</div>';
				} else {
					if ($db->query("update `".prefix."news` set `text`='".$fun->escape($_POST['text'])."'")) {
						header('Location: '.PATH);
					} else {
						echo '<div class="error">Ошибка при изменении новости!<br/>'.$db->SQLerror().'</div>';
					}
				}
			
			}
			
			echo '<div class="menu">
			<form action="" method="post">
			Новость:<br/><textarea name="text" rows="3" cols="25">'.$fun->utf($row['text']).'</textarea><br/>
			<input type="submit" value="Изменить"/> <a href="'.PATH.'"><input type="button" value="Отменить"/></a>
			</form></div>';
		
		} else {
			header('Location: '.PATH);
		}
		
		exit($fun->__footer('<a href="'.ROOT.'/cpanel.php">Кабинет</a> &rsaquo; <a href="'.PATH.'">Новости</a> &rsaquo; Изменить'));
	
	} elseif (isset($_GET['del'])) {
	
		$sql = $db->query("select * from `".prefix."news` where `id`='".abs(intval($_GET['del']))."' limit 1");
		
		if (mysql_num_rows($sql)) {
		
			if (isset($_POST['yes'])) {
				
				if ($db->query("delete from `".prefix."news` where `id`='".abs(intval($_GET['del']))."' limit 1")) {
					header('Location: '.PATH);
				} else {
					echo '<div class="error">Ошибка при удалении новости!<br/>'.$db->SQLerror().'</div>';
				}
				
			}
		
			echo '<div class="menu">
			<form action="" method="post">
			Вы действительно хотите удалить эту новость?<br/>
			<input type="submit" name="yes" value="Да"/> <a href="'.PATH.'"><input type="button" value="Нет"/></a>
			</form></div>';
		
		} else {
			header('Location: '.PATH);
		}
		
		exit($fun->__footer('<a href="'.ROOT.'/cpanel.php">Кабинет</a> &rsaquo; <a href="'.PATH.'">Новости</a> &rsaquo; Удалить'));
	
	}
	
}

$k_post = mysql_result($db->query("select count(*) from `".prefix."news`"), 0); 
$k_page = $fun->k_page($k_post, $set['news']); 
$page = $fun->page($k_page);

$sql = $db->query("select * from `".prefix."news` order by `id` desc limit ".($set['news'] * $page - $set['news']).", ".$set['news']);

if (mysql_num_rows($sql) == 0) {
	echo '<div class="menu">Новостей еще нет!</div>';
} else {

	while ($row = $db->assoc($sql)) {
		echo '<div class="menu"><b>Дата:</b> ['.date('d.m i:s', $row['date']).'] '.(isset($active) && $user['admin'] ? '[<a href="'.PATH.'?edit='.$row['id'].'">E</a>][<a href="'.PATH.'?del='.$row['id'].'">D</a>]' : '').'<div class="line"></div>'.nl2br($fun->utf($row['text'])).'</div>';
	}
	
	if ($k_page > 1) {
		$fun->navigation(PATH.'?', $k_page, $page);
	}

}


$fun->__footer((isset($active) ? '<a href="'.ROOT.'/cpanel.php">Кабинет</a>' : '<a href="'.ROOT.'">Главная</a>').' &rsaquo; Новости');


?>